GET
/api/account/me
const url = 'https://example.com/api/account/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/account/me \ --header 'Authorization: Bearer <token>'Returns the customer account profile behind the bearer token.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
id
string format: uuid
email
string
firstName
string
lastName
string
fullName
string
dateOfBirth
string format: date
phone
string
addressLine1
string
addressLine2
string
city
string
state
string
postCode
string
country
string
emailVerified
boolean
createdAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "firstName": "example", "lastName": "example", "fullName": "example", "dateOfBirth": "2026-04-15", "phone": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postCode": "example", "country": "example", "emailVerified": true, "createdAt": "2026-04-15T12:00:00Z"}Unauthorized
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}